<template>
  <section
    :class="{
      ['color' + utility.shop_color]: true,
      ['layout' + utility.shop_style]: true
    }"
    class="utility">
    <section
      class="module">
      <div class="shop-html">
        <div class="shop-body">
          <div
          v-show="utility.shop_style == 1"
          class="headerwidthcontainer"
          data-control="TabPanel">
            <div id="yatlogo">
              <img
                width="98"
                height="81"
                :src="logo"
                id="yatlogoimg">
            </div>
            <div id="shopname">{{ utility.name }}</div>
            <div id="menu" v-if="utility.admin">
              <ul id="nav" class="tab-buttons">
                  <router-link
                    tag="li"
                    :to="{name: 'utilitymain'}">
                    <a
                      :class="{selected: (this.$route.name === 'utilitymain')}"
                      class="tab">Main Page
                    </a>
                  </router-link>
                <router-link
                  tag="li"
                  :to="{name: 'utilityaccounting'}">
                  <a
                    :class="{selected: (this.$route.name === 'utilityaccounting')}"
                    class="tab">Accounting
                  </a>
                </router-link>
                <div class="clear"></div>
              </ul>
            </div>
          </div>
          <div v-show="utility.shop_style == 2">
            <div class="yat">
              <div id="yatlogo">
                <img
                  width="98"
                  height="81"
                  :src="logo"
                  id="yatlogoimg">
              </div>
            </div>
            <div id="menu" v-if="utility.admin">
              <ul id="nav" class="tab-buttons">
                  <router-link
                    tag="li"
                    :to="{name: 'utilitymain'}">
                    <a
                      :class="{selected: (this.$route.name === 'utilitymain')}"
                      class="tab">Main Page
                    </a>
                  </router-link>
                <router-link
                  tag="li"
                  :to="{name: 'utilityaccounting'}">
                  <a
                    :class="{selected: (this.$route.name === 'utilityaccounting')}"
                    class="tab">Accounting
                  </a>
                </router-link>
                <div class="clear"></div>
              </ul>
            </div>
            <div class="headerwidthcontainer">
              <div id="shopname">{{ utility.name }}</div>
            </div>
          </div>
          <div
            v-show="utility.shop_color == 1 || utility.shop_color == 2"
            class="contentwidthcontainer">
            <div id="sidebar">
              <!-- <h1 style="display: none;">Headlines</h1>
              <headlines /> -->
              <action-buttons
                :has-swiper="hasSwiper"
                :shop="utility" />
            </div>
            <div id="mainpagecontent" class="tabs">
              <router-view
                class="tab selected"
                @simple-one="simpleOne"
                @simple-two="simpleTwo"
                @busy-one="busyOne"
                @busy-two="busyTwo"
                :facts-title="factsTitle"
                :shop="utility" />
            </div>
            <div class="clear"></div>
          </div>
        </div>
      </div>
    </section>
  </section>
</template>

<script>
import ShopBaseView from '../shopBase.js';
import Headlines from '../Headlines.vue';
import ActionButtons from '../ActionButtons.vue'

export default {
  extends: ShopBaseView,
  components: {
    Headlines,
    ActionButtons
  },

  methods: {
    getData() {
      app.session.SetSession()
        .then( () => {
        app.api.Get( "/utility/" + app.session.data.id )
          .then( Response => {
            console.log(Response);
            this.utility = Response;
            app.Message( `Successfully loaded the Gas, Water, Electric Shop!`, "success" );
          })
          .catch( x => app.Message( x.error, "error" ) )
        })
    },
    simpleOne() {

      this.utility.shop_style = 1;
      this.utility.shop_color = 1;
    },
    simpleTwo() {

      this.utility.shop_style = 1;
      this.utility.shop_color = 2;
    },
    busyOne() {

      this.utility.shop_style = 2;
      this.utility.shop_color = 1;
    },
    busyTwo() {

      this.utility.shop_style = 2;
      this.utility.shop_color = 2;
    },
  },
  data() {
    return {
      logo: app.network.data.shop_logo,
      utility: {},
      hasSwiper: app.computerSettings.swiper,
      factsTitle: app.network.data.utility_shop_facts_localization,
    }
  },
  created: function () {
    this.getData();
  },
  beforeMount: function() {
    this.$router.push({name: 'utilitymain'});
  },
}

</script>

<style lang="less">
  @import '../../shared.less';
</style>


<style lang="less">

.utility.layout1.color1 {
  // shared
  @sidebarcolor: none;
  @shopnametop: 4rem;
  @shopnameleft: 42rem;
  @logoborder: 0.5rem solid #d5731a;
  @boxshadow: 0 0.2rem 0.6rem 0rem #555;
  @sidebarfloat: left;
  @maincontentfloat:right;
  @bgcolor: #b2b2b0;
  @contentborder: 1px solid #ecf4f8;
  @bgcontentimage: url(/images/shop/market/containerbg.jpg);

  //for color1
  @bgcolor: transparent;
  @bgimage: url(/images/shop/utility/utility2bg.jpg);
  @bgimage2:url(/images/shop/utility/utilitypipes2bg.png);
  @utilityheaderimagebg:url(/images/shop/utility/utilityheader2bg.png);
  @shoptitlecolor: #fff;
  @contentbgimage:url(/images/shop/utility/pipe2bg.png);
  @shopdesccolor:#fff;
  @shopdescshadow:0.4rem 0.3rem 0.3rem rgba(0,0,0,.25);
  @homemsgcolor:#7f0000;
  @navbgcolor: #2e55b0;
  @hometxtcolor:#337399;
  @shopbackgroundcolor:#2e55b0;
  @tabactivefontcolor: #fff;
  @tabfontcolor: #c6c6c6;
  @maincontentp:#fff;
  @maincontenth1:#fff;
  @maincontentcolor: #ffffff;
  @h1shadow:0.2rem 0.2rem 0.1rem #000000;
  @activetabcolor:#a20008;
  @buttonbackground:#c9000a;
  @buttonborder:#db565d;
  @buttonborderhover:#c9000a;
  @factslist:url(/images/shop/utility/list2bg.png);
  @factslistcolor:rgba(255,255,255,.8);
  @factscolor:#000;

  @import './utilityLayout1.less';
}
</style>

<style lang="less">
.utility.layout1.color2 {
  //shared
  @sidebarcolor: none;
  @shopnametop: 4rem;
  @shopnameleft: 42rem;
  @logoborder: 0.5rem solid #d5731a;
  @boxshadow: 0 0.2rem 0.6rem 0rem #555;
  @sidebarfloat: left;
  @maincontentfloat:right;
  @bgcolor: #b2b2b0;
  @contentborder: 1px solid #ecf4f8;
  @bgcontentimage: url(/images/shop/market/containerbg.jpg);

  //color2
  @bgcolor:transparent;
  @bgimage: url(/images/shop/utility/utilitybg.jpg);
  @bgimage2:url(/images/shop/utility/utilitypipesbg.png);
  @utilityheaderimagebg:url(/images/shop/utility/utilityheaderbg.png);
  @shoptitlecolor: #d5731a;
  @contentbgimage:url(/images/shop/utility/pipebg.png);
  @shopdesccolor:#fff;
  @shopdescshadow:none;
  @homemsgcolor:#144a68;
  @hometxtcolor:#008e18;
  @shopbackgroundcolor:#fccb42;
  @tabactivefontcolor: #fff;
  @tabfontcolor: #d5731a;
  @maincontentp:#fff;
  @maincontenth1:#d5731a;
  @maincontentcolor: #ffffff;
  @h1shadow:none;
  @activetabcolor:#b65804;
  @buttonbackground:#d5731a;
  @buttonborder:#ff983b;
  @buttonborderhover:#d5731a;
  @factslist:url(/images/shop/utility/listbg.png);
  @factslistcolor:rgba(0,0,0,.5);
  @factscolor:#fff;

  @import './utilityLayout1.less';

}

</style>

<style lang="less">

.utility.layout2.color1 {
  //shared
  @sidebarcolor: none;
  @shopnametop: 4rem;
  @shopnameleft: 42rem;
  @logoborder: 0.5rem solid #d5731a;
  @boxshadow: 0 0.2rem 0.6rem 0rem #555;
  @sidebarfloat: left;
  @maincontentfloat:right;
  @bgcolor: #b2b2b0;
  @contentborder: 1px solid #ecf4f8;
  @bgcontentimage: url(/images/shop/market/containerbg.jpg);
  @shoptitlecolor: #fff;
  @shopdesccolor:#fff;

  //color1
  @bgcolor:#3a9191;
  @bgimage: url(/images/shop/utility/utilitybg-2.jpg);
  @homemsgcolor:#7f0000;
  @navbgcolor: #2e55b0;
  @hometxtcolor:#337399;
  @shopbackgroundcolor:#2e55b0;
  @tabfontcolor: #2d3f3f;
  @tabactivefontcolor:#2d3f3f;
  @tabactivebgcolor: rgba(255,255,255,.7);
  @maincontentp:#fff;
  @maincontenth1:#fff;
  @maincontentcolor: #ffffff;
  @h1shadow:none;
  @activetabcolor:#056911;
  @buttonbackground:#0e861a;
  @buttonborder:#7fbd78;
  @buttonborderhover:#7fbd78;
  @factslist:url(/images/shop/utility/listbg-2.png);
  @factslistcolor:rgba(255,255,255,.6);
  @factscolor:#265e5e;

  @import './utilityLayout2.less';
}
</style>

<style lang="less">

.utility.layout2.color2 {
  //shared
  @sidebarcolor: none;
  @shopnametop: 4rem;
  @shopnameleft: 42rem;
  @logoborder: 0.5rem solid #d5731a;
  @boxshadow: 0 0.2rem 0.6rem 0rem #555;
  @sidebarfloat: left;
  @maincontentfloat:right;
  @bgcolor: #b2b2b0;
  @contentborder: 1px solid #ecf4f8;
  @bgcontentimage: url(/images/shop/market/containerbg.jpg);
  @shoptitlecolor: #fff;
  @shopdesccolor:#fff;

  //color2
  @bgcolor:#112b2b;
  @bgimage: url(/images/shop/utility/utility2bg-2.jpg);
  @bgimage2:url(/images/shop/utility/utilitypipesbg.png);
  @homemsgcolor:#144a68;
  @hometxtcolor:#008e18;
  @shopbackgroundcolor:#fccb42;
  @tabfontcolor: #fff;
  @tabactivefontcolor:#2d3f3f;
  @tabactivebgcolor: rgba(255,255,255,.7);
  @maincontentp:#fff;
  @maincontenth1:#fff;
  @maincontentcolor: #ffffff;
  @h1shadow:none;
  @activetabcolor:#733c8a;
  @buttonbackground:#1e4a23;
  @buttonborder:#406544;
  @buttonborderhover:#815096;
  @factslist:url(/images/shop/utility/listbg-2.png);
  @factslistcolor:rgba(255,255,255,.6);
  @factscolor:#265e5e;

  @import './utilityLayout2.less';
}
</style>


